<?php $__env->startSection('styles'); ?>
<link rel="stylesheet" href="<?php echo e(asset(asset_path('modules/blog/css/post_create.css'))); ?>" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('mainContent'); ?>
<?php if(isModuleActive('FrontendMultiLang')): ?>
<?php
$LanguageList = getLanguageList();
?>
<?php endif; ?>
<section class="admin-visitor-area up_st_admin_visitor">
    <div class="container-fluid p-0">
        <div class="row justify-content-center">
            <div class="col-12">
                <div class="box_header common_table_header">
                    <div class="main-title d-md-flex">
                        <h3 class="mb-0 mr-30 mb_xs_15px mb_sm_20px"><?php echo e(__('blog.add_new_post')); ?></h3>
                    </div>
                </div>
            </div>
        </div>
        <div class="white-box">
        <form action="<?php echo e(route('blog.posts.store')); ?>" method="POST" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="row">
                <div class="col-lg-9">
                    <div class="white_box_25px box_shadow_white mb-20">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="main-title d-flex">
                                    <h3 class="mb-2 mr-30"><?php echo e(__('blog.post_info')); ?></h3>
                                </div>
                            </div>
                            <?php if(isModuleActive('FrontendMultiLang')): ?>
                                <div class="col-lg-12">
                                    <ul class="nav nav-tabs justify-content-start mt-sm-md-20 mb-30 grid_gap_5" role="tablist">
                                        <?php $__currentLoopData = $LanguageList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="nav-item lang_code default_lang" data-id="<?php echo e($language->code); ?>">
                                                <a class="nav-link anchore_color  <?php if(auth()->user()->lang_code == $language->code): ?> active <?php endif; ?>" href="#element<?php echo e($language->code); ?>" role="tab" data-toggle="tab" aria-selected="<?php if(auth()->user()->lang_code == $language->code): ?> true <?php else: ?> false <?php endif; ?>"><?php echo e($language->native); ?> </a>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <div class="tab-content">
                                        <?php $__currentLoopData = $LanguageList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div role="tabpanel" class="tab-pane fade <?php if(auth()->user()->lang_code == $language->code): ?> show active <?php endif; ?>" id="element<?php echo e($language->code); ?>">
                                                <div class="col-lg-12">
                                                    <div class="primary_input mb-25">
                                                        <label class="primary_input_label" for=""><?php echo e(__('common.title')); ?> <span class="text-danger">*</span></label>
                                                        <input name="title[<?php echo e($language->code); ?>]" class="primary_input_field title" id="title<?php echo e($language->code); ?>" placeholder="<?php echo e(__('common.title')); ?>" type="text" autocomplete="off" value="<?php echo e(old('title.'.$language->code)); ?>">
                                                    </div>
                                                    <?php if($errors->has('title.'.auth()->user()->lang_code)): ?>
                                                        <span class="text-danger"><?php echo e($errors->first('title.'.auth()->user()->lang_code)); ?></span>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="col-lg-12 d-none" id="default_lang_<?php echo e($language->code); ?>">
                                                    <div class="primary_input mb-25">
                                                        <label class="primary_input_label" for=""><?php echo e(__('common.slug')); ?> <span class="text-danger">*</span></label>
                                                        <input name="slug[<?php echo e($language->code); ?>]" id="slug<?php echo e($language->code); ?>" class="primary_input_field" autocomplete="off" placeholder="<?php echo e(__('common.slug')); ?>" type="text" value="<?php echo e(old('slug.'.$language->code)); ?>">
                                                    </div>
                                                </div>
                                                <?php if($errors->has('slug.'.auth()->user()->lang_code)): ?>
                                                    <span class="text-danger"><?php echo e($errors->first('slug.'.auth()->user()->lang_code)); ?></span>
                                                <?php endif; ?>
                                                <div class="col-lg-12">
                                                    <div class="primary_input mb-15">
                                                        <label class="primary_input_label" for=""> <?php echo e(__("common.description")); ?> <span class="text-danger">*</span> </label>
                                                        <textarea class="summernote" name="content[<?php echo e($language->code); ?>]"><?php echo e(old('content.'.$language->code)); ?></textarea>
                                                    </div>
                                                </div>
                                                <?php if($errors->has('content.'.auth()->user()->lang_code)): ?>
                                                <span class="text-danger"><?php echo e($errors->first('content.'.auth()->user()->lang_code)); ?></span>
                                                <?php endif; ?> 
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                </div>
                            <?php else: ?>   
                            <div class="col-lg-12">
                                <div class="primary_input mb-25">
                                    <label class="primary_input_label" for=""><?php echo e(__('common.title')); ?> <span class="text-danger">*</span></label>
                                    <input name="title" class="primary_input_field title" id="title"
                                    placeholder="<?php echo e(__('common.title')); ?>" type="text" autocomplete="off" value="<?php echo e(old('title')); ?>">
                                </div>
                                <?php if($errors->has('title')): ?>
                                <span class="text-danger"><?php echo e($errors->first('title')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-lg-12">
                                <div class="primary_input mb-25">
                                    <label class="primary_input_label" for=""><?php echo e(__('common.slug')); ?> <span class="text-danger">*</span></label>
                                    <input type="text" class="primary_input_field title" id="slug" name="slug" autocomplete="off" placeholder="<?php echo e(__('common.slug')); ?>" value="<?php echo e(old('slug')); ?>">
                                </div>
                            </div>
                            <?php if($errors->has('slug')): ?>
                            <span class="text-danger"><?php echo e($errors->first('slug')); ?></span>
                            <?php endif; ?>
                            <div class="col-lg-12">
                                <div class="primary_input mb-15">
                                    <label class="primary_input_label" for=""> <?php echo e(__("common.description")); ?> <span class="text-danger">*</span> </label>
                                    <textarea id="laraberg" name="content" hidden value="<?php echo e(old('name')); ?>"></textarea>
                                </div>
                            </div>
                            <?php if($errors->has('content')): ?>
                            <span class="text-danger"><?php echo e($errors->first('content')); ?></span>
                            <?php endif; ?> 
                            <?php endif; ?> 
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 upload_item_area">
                    <div class="white_box_25px box_shadow_white upload_item_forms">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="main-title d-flex">
                                    <h3 class="mb-2 mr-30"><?php echo e(__('common.basic_info')); ?></h3>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="primary_input mb-25">
                                    <label class="primary_input_label" for=""><?php echo e(__('common.category')); ?> <span class="text-danger">*</span></label>
                                    <select class="primary_select mb-25" name="categories[]" id="category_id" data-live-search="true" multiple>
                                        <?php $__currentLoopData = $CategoryList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($value->id); ?>">
                                            <strong>-></strong>
                                            <?php echo e($value->name); ?>

                                            <?php $__currentLoopData = $value->childs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $child_account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php echo $__env->make('blog::category.category_select', ['child_account' => $child_account], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                    <?php if($errors->has('categories')): ?>
                                    <span class="text-danger"><?php echo e($errors->first('categories')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-lg-12">
                                <div class="single_field ">
                                    <label for=""><?php echo app('translator')->get('blog.tags'); ?> (<?php echo app('translator')->get('product.comma_separated'); ?>)<span class="text-danger">*</span></label>
                                </div>
                                <div class="tagInput_field mb_26">
                                    <input name="tag" class="tag-input" id="tag-input-upload-shots" type="text" value="<?php echo e(old('tag')); ?>" data-role="tagsinput" />
                                </div>
                                    <div class="suggeted_tags">
                                        <label><?php echo app('translator')->get('blog.suggested_tags'); ?></label>
                                        <div class="tagInput_field mb_26">
                                            <ul id="tag_show" class="suggested_tag_show">
                                            </ul>
                                        </div>
                                    </div>
                                <?php if($errors->has('tag')): ?>
                                <span class="text-danger"><?php echo e($errors->first('tag')); ?></span>
                                <?php endif; ?>
                            </div>
                            <br>
                            <div class="col-lg-12">
                                <div class="main-title d-flex">
                                    <label class="mb-2 mr-30"><?php echo e(__('common.image')); ?><small>(<?php echo e(getNumberTranslate(1000)); ?> X <?php echo e(getNumberTranslate(500)); ?>)<?php echo e(__('common.px')); ?></small></label>
                                </div>
                            </div>
                            <div class="col-lg-12">
                                <div class="primary_input mb-25">
                                    <div class="primary_file_uploader" data-toggle="amazuploader" data-multiple="false" data-type="image" data-name="blog_image">
                                        <input class="primary-input file_amount" type="text" id="image" placeholder="<?php echo e(__('common.browse_image_file')); ?>" readonly="">
                                        <button class="" type="button">
                                            <label class="primary-btn small fix-gr-bg" for="image"><?php echo e(__("common.image")); ?> </label>
                                            <input type="hidden" class="selected_files" value="">
                                        </button>
                                    </div>
                                    <div class="product_image_all_div">
                                        
                                    </div>
                                </div>
                                <?php if($errors->has('blog_image')): ?>
                                    <span class="text-danger"> <?php echo e($errors->first('blog_image')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="col-lg-12">
                                <div class="col-lg-12">
                                    <input type="checkbox" id="comments" class="filled-in" name="comments" value="0">
                                    <label for="comments"><?php echo e(__("blog.close_comments")); ?></label>
                                </div>
                                <div  class="col-lg-12">
                                    <input type="checkbox" id="publish" class="filled-in" name="status" value="1">
                                    <label for="publish"><?php echo e(__("blog.publish")); ?></label>
                                </div>
                            </div>
                            <div class="col-12">
                                <button class="primary_btn_2 mt-5"><i class="ti-check"></i><?php echo e(__("common.save")); ?> </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
    <script type="text/javascript">
        (function($){
            "use strict";
            $(document).ready(function () {
                <?php if(isModuleActive('FrontendMultiLang')): ?>
                    $(document).on('keyup', '#title<?php echo e(auth()->user()->lang_code); ?>', function(event){
                        processSlug($('#title<?php echo e(auth()->user()->lang_code); ?>').val(), '#slug');
                    });
                    $('.summernote').summernote({
                        height: 200,
                        codeviewFilter: true,
                        codeviewIframeFilter: true,
                        disableDragAndDrop:true,
                        callbacks: {
                            onImageUpload: function (files) {
                                sendFile(files, '.summernote')
                            }
                        }
                    });
                    $(document).on('click', '.default_lang', function(event){
                        var lang = $(this).data('id');
                        if (lang == "<?php echo e(auth()->user()->lang_code); ?>") {  
                            $('#default_lang_<?php echo e(auth()->user()->lang_code); ?>').removeClass('d-none');
                        }
                    });
                    if ("<?php echo e(auth()->user()->lang_code); ?>") {  
                            $('#default_lang_<?php echo e(auth()->user()->lang_code); ?>').removeClass('d-none');
                    }
                    $(document).on('keyup', '#title<?php echo e(auth()->user()->lang_code); ?>', function(event){
                        processSlug($('#title<?php echo e(auth()->user()->lang_code); ?>').val(), '#slug<?php echo e(auth()->user()->lang_code); ?>');
                    });
                <?php else: ?>
                $('.summernote').summernote({
                    height: 200,
                    codeviewFilter: true,
			        codeviewIframeFilter: true
                });
                Laraberg.init('laraberg');
                $(document).on('mouseover', 'body', function(event){
                    $('.editor-block-list-item-file').parent().addClass('d-none');
                });
                    $(document).on('keyup', '#title', function(event){
                        processSlug($('#title').val(), '#slug');
                    });
                <?php endif; ?>
                $(document).on('click', '.tag-add', function(e){
                    e.preventDefault();
                    $('#tag-input-upload-shots').tagsinput('add', $(this).text());
                });
                $(document).on('change', '#blog_image', function(event){
                    getFileName($('#blog_image').val(),'#image');
                    imageChangeWithFile($(this)[0],'#MetaImgDiv');
                });
                $(document).on('focusout', '#title', function(){
                    // tag get
                    $("#tag_show").html('<li></li>');
                    var sentence = $(this).val();
                    $.get('/setup/getTagBySentence',{sentence:sentence},function(result){
                        $("#tag_show").append(result);
                    })
                });
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('backEnd.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Softwares\laragon\www\LaravelProjects\Joshua_ecommerce\Modules/Blog\Resources/views/post/create.blade.php ENDPATH**/ ?>